#{extends 'border.html'/}
#{set 'moreStyles'}
<!-- <link href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/4.7.0/css/font-awesome.css" type="text/css" rel="stylesheet"> -->
<link rel="stylesheet" media="screen" href="@{'/public/chat/style/font-awesome.css'}">
<style>
    .dot {
        height: 8px;
        width: 8px;
        background-color: #e42340;
        border-radius: 50%;
        display: inline-block;
        vertical-align:top;
    }
    .container{max-width:1170px; margin:auto;}
    img{ max-width:100%;}
    .inbox_people {
        background: #f8f8f8 none repeat scroll 0 0;
        float: left;
        overflow: hidden;
        width: 40%; border-right:1px solid #c4c4c4;
    }
    .inbox_msg {
        border: 1px solid #c4c4c4;
        clear: both;
        overflow: hidden;
        height: 600px;
    }
    .top_spac{ margin: 20px 0 0;}


    .recent_heading {float: left; width:40%;}
    .recent_heading_pengumuman {float: left; width:100%;}
    .srch_bar {
        display: inline-block;
        text-align: right;
        width: 60%; padding:
    }
    .headind_srch{ padding:10px 29px 10px 20px; overflow:hidden; border-bottom:1px solid #c4c4c4;}
    .headind_srch_1{ padding:10px 50px 10px 50px; overflow:hidden; border-bottom:1px solid #c4c4c4;}

    .recent_heading h4 {
        color: #05728f;
        font-size: 21px;
        margin: auto;
    }
    .recent_heading_pengumuman h4 {
        color: #05728f;
        font-size: 21px;
        margin: auto;
    }
    .srch_bar input{ border:1px solid #cdcdcd; border-width:0 0 1px 0; width:80%; padding:2px 0 4px 6px; background:none;}
    .srch_bar .input-group-addon button {
        background: rgba(0, 0, 0, 0) none repeat scroll 0 0;
        border: medium none;
        padding: 0;
        color: #707070;
        font-size: 18px;
    }
    .srch_bar .input-group-addon { margin: 0 0 0 -27px;}

    .chat_ib h5{ font-size:15px; color:#464646; margin:0 0 8px 0;}
    .chat_ib h5 span{ font-size:10px; float:right;}
    .chat_ib p{ font-size:14px; color:#989898; margin:auto}
    .chat_img {
        float: left;
        width: 11%;
    }
    .chat_ib {
        float: left;
        padding: 0 0 0 15px;
        width: 88%;
    }

    .chat_people{ overflow:hidden; clear:both;}
    .chat_list {
        border-bottom: 1px solid #c4c4c4;
        margin: 0;
        height: 115px;
        padding: 18px 16px 10px;
        white-space: nowrap;
    }
    .diskusi_list {
        border-bottom: 1px solid #c4c4c4;
        margin: 0;
        height: 60px;
        padding: 18px 16px 10px;
        white-space: nowrap;
    }
    .inbox_chat { height: 410px; overflow-y: scroll;}
    .inbox_diskusi { height: 550px; overflow-y: scroll;}
    .inbox_pengumuman { height: 410px; overflow-y: scroll;}

    .active_chat{ background:#ebebeb;}

    .incoming_msg_img {
        display: inline-block;
        width: 6%;
    }
    .received_msg {
        display: inline-block;
        padding: 0 0 0 10px;
        vertical-align: top;
        width: 92%;
    }
    .received_withd_msg p {
        background: #ebebeb none repeat scroll 0 0;
        border-radius: 3px;
        color: #646464;
        font-size: 14px;
        margin: 0;
        padding: 5px 10px 5px 12px;
        width: 100%;
    }
    .time_date {
        color: #747474;
        display: block;
        font-size: 12px;
        margin: 8px 0 0;
    }
    .received_withd_msg { width: 57%;}
    .mesgs {
        float: left;
        padding: 30px 15px 0 25px;
        width: 60%;
    }

    .sent_msg p {
        background: #05728f none repeat scroll 0 0;
        border-radius: 3px;
        font-size: 14px;
        margin: 0; color:#fff;
        padding: 5px 10px 5px 12px;
        width:100%;
    }
    .outgoing_msg{ overflow:hidden; margin:26px 0 26px;}
    .sent_msg {
        float: right;
        width: 46%;
    }
    .input_msg_write input {
        background: rgba(0, 0, 0, 0) none repeat scroll 0 0;
        border: medium none;
        color: #4c4c4c;
        font-size: 15px;
        min-height: 48px;
        width: 100%;
    }

    .type_msg {border-top: 1px solid #c4c4c4;position: relative;}
    .msg_send_btn {
        background: #05728f none repeat scroll 0 0;
        border: medium none;
        border-radius: 50%;
        color: #fff;
        cursor: pointer;
        font-size: 17px;
        height: 33px;
        position: absolute;
        right: 0;
        top: 8px;
        width: 33px;
    }
    .messaging { padding: 0 0 50px 0;}
    .msg_history {
        height: 516px;
        overflow-y: auto;
    }
    .a {
        color:white;
    }
</style>
#{/set}

<div class="container">
    <div class="messaging">
        <div class="inbox_msg">
            <div class="inbox_people">
                <div class="headind_srch">
                    <div class="recent_heading">
                        <h4>Recent <i class="fa fa-history"></i></h4>
                    </div>
                </div>
                #{if aksesBtnAddBroadcast}
                    <div class="headind_srch">
                        <div class="recent_heading_pengumuman">
                            <a href="@{chat.ChatCtr.createPengumuman()}"><h4>&{'tambah.label'} &{'siaran.label'} <i class="fa fa-bullhorn"></i></h4></a>
                        </div>
                    </div>
                #{/if}
                <div class="headind_srch_1" style="display: table;margin: auto;">
                    <ul class="nav nav-tabs tab-detil-produk" role="tablist" style="background: #f8f8f8;">
                        *{command chat}*
                        *{<li role="presentation" class="active">}*
                            *{<a href="#pesan" aria-controls="pesan" role="tab" data-toggle="tab">Pesan</a>}*
                        *{</li>}*
                        *{end command chat}*
                        <li role="presentation">
                            <a href="#diskusi" aria-controls="diskusi" role="tab" data-toggle="tab">Diskusi</a>
                        </li>
                        <li role="presentation">
                            <a href="#pengumuman" aria-controls="pengumuman" role="tab" data-toggle="tab">&{'siaran.label'}
                                #{if dotAkses}
                                    <span class="dot"></span>
                                #{/if}
                            </a>
                        </li>
                    </ul>
                </div>
                <div class="tab-content">
                    <div role="tabpanel" class="tab-pane active" id="pesan">
                        <div class="inbox_chat"></div>
                    </div>
                    <div role="tabpanel" class="tab-pane" id="diskusi">
                        <div class="inbox_diskusi">

                            <!-- looping -->
                            #{list listProdukDiskusiByUserLogin, as:'value'}
                                <div class="diskusi_list">
                                  <div class="chat_people">
                                    <div class="chat_img"> <img src="@{'/public/images/globe.png'}" alt="sunil"> 
                                        #{if value.status_komentar != 0}
                                            #{if value.status_komentar != value.jumlah_diskusi_produk}
                                                <span class="dot"></span>
                                            #{/if}
                                            #{if value.status_komentar == value.jumlah_diskusi_produk}
                                                <span class="dot"></span>
                                            #{/if}
                                        #{/if}
                                    </div>
                                        <div class="chat_ib">
                                            <p>
                                                <a href="@{katalog.produkctr.detail(value.produk_id)}" style="color: black;" target="_blank"><h5>${value.as_nama_produk} <span class="chat_date">${value.modified_date}</span></h5></a>
                                            </p>
                                        </div>
                                    </div>
                                </div>
                            #{/list}
                            <!-- end looping -->

                        </div>
                    </div>
                    <div role="tabpanel" class="tab-pane" id="pengumuman">
                        <div class="inbox_pengumuman">

                            <!-- looping -->
                            #{list listBroadcastDetail, as:'value'}
                                <div class="chat_list">
                                    <div class="chat_people">
                                        <div class="chat_img id-for-c"> <img src="/public/images/globe.png" alt="sunil">
                                            #{if !value.is_read}
                                                <span class="dot" id="dot-${value.broadcast_id}"></span>
                                            #{/if}
                                        </div>
                                        <div class="chat_ib" onclick="getDataBroadcast(${value.broadcast_id})">
                                            <h5><a href="#">${value.broadcast_judul}</a><span class="chat_date">${value.created_date}</span></h5>
                                            #{printBerita value.broadcast_deskripsi/}
                                        </div>
                                    </div>
                                </div>
                            #{/list}
                            <!-- end looping -->

                        </div>
                    </div>
                </div>
            </div>
            <div class="mesgs">
                <div class="msg_history" id="msg_history">
                    <div class="text-center align-self-center">
                        <h4><i class="fa fa-history" style="font-size:48px;color:#59b4d3; margin-top: 210px;"></i></h4>
                    </div>
                *{<div class="incoming_msg">}*
                *{<div class="incoming_msg_img"> <img src="https://ptetutorials.com/images/user-profile.png" alt="sunil"> </div>}*
                *{<div class="received_msg">}*
                *{<div class="received_withd_msg">}*
                *{<p>Isi Pesan Kiri</p>}*
                *{<span class="time_date"> 11:01 AM    |    Yesterday</span></div>}*
                *{</div>}*
                *{</div>}*
                *{<div class="outgoing_msg">}*
                *{<div class="sent_msg">}*
                *{<p>Isi Pesan Kanan</p>}*
                *{<span class="time_date"> 11:01 AM    |    Today</span> </div>}*
                *{</div>}*
                </div>
                <div class="type_msg">
                    <div class="input_msg_write" style="display:none;">
                        <input type="text" class="input_pesan" name="input_pesan" placeholder="&{'masukkan_pesan.label'} ..." />
                        <button class="msg_send_btn" type="button"><i class="fa fa-paper-plane-o" aria-hidden="true"></i></button>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>
<script src="@{'public/chat/style/jquery-1.11.1.min.js'}"></script>
<!-- <script src="//code.jquery.com/jquery-1.11.1.min.js"></script> -->
<script type="text/javascript">
    $(document).ready(function(){
        // command chat
        *{function firstLoad() {}*
            *{$(document).ajaxStart(function(){$.hideLoading();});}*
            *{$(document).ajaxComplete(function(){$.hideLoading();});}*
            *{$(document).ajaxSuccess(function(){$.hideLoading();});}*
            *{$.ajax({}*
                *{url:"@{chat.ChatCtr.getDataAllMessage()}",}*
                *{method:"GET",}*
                *{dataType: "json",}*
                *{success:function(data)}*
                *{{}*
                    *{if (data.statusUser == 1){}*
                        *{$('.inbox_chat').html(data.dataChatLeft);}*
                    *{} else {}*
                        *{window.location.href = "@{LoginCtr.index()}";}*
                    *{}}*
                *{}}*
            *{});}*
        *{}}*
        *{firstLoad();}*
    // end command chat
        // setInterval(function(){
        //     firstLoad();
        // }, 5000);
    });
</script>
<script type="text/javascript">
    function viewGetDataOneMessage(chat_id, user_id) {
        $('.input_msg_write').show();
        $(document).ajaxStart(function(){$.hideLoading();});
        $(document).ajaxComplete(function(){$.hideLoading();});
        $(document).ajaxSuccess(function(){$.hideLoading();});
        var formData = {
            'chat_id'          : chat_id,
            'user_id'          : user_id
        };
        $.ajax({
            url:"@{chat.ChatCtr.getDataOneMessage()}",
            method:"POST",
            data:formData,
            dataType: "json",
            success:function(data)
            {
                $('.msg_history').html(data.dataChatOneMessage);
                var scrolltoh = $('.msg_history')[0].scrollHeight;
                $('.msg_history').scrollTop(scrolltoh);
            }
        });
    }

    function getDataBroadcast(broadcast_id) {
        $('.input_msg_write').show();
        $(document).ajaxStart(function(){$.hideLoading();});
        $(document).ajaxComplete(function(){$.hideLoading();});
        $(document).ajaxSuccess(function(){$.hideLoading();});
        var formData = {
            'broadcast_id'          : broadcast_id
        };
        $.ajax({
            url:"@{chat.ChatCtr.getDataBroadcast()}",
            method:"POST",
            data:formData,
            dataType: "json",
            success:function(data)
            {
                $("#dot-"+broadcast_id).hide();
                $('.msg_history').html(data.dataChatOneMessage);
                var scrolltoh = $('.msg_history')[0].scrollHeight;
                $('.msg_history').scrollTop(scrolltoh);
            }
        });
    }
</script>

<script type="text/javascript">
    $(document).ready(function(){
        $(".msg_send_btn").click(function(){
            $(document).ajaxStart(function(){$.hideLoading();});
            $(document).ajaxComplete(function(){$.hideLoading();});
            $(document).ajaxSuccess(function(){$.hideLoading();});
            var formData = {
                'pesan'              : $('input[name=input_pesan]').val(),
                'chat_id'              : $('input[name=chat_id_one]').val()
            };
            $('input[name=input_pesan]').val('');
            $.ajax({
                type: 'POST',
                url: '@{chat.ChatCtr.submitDataOneMessage()}',
                data: formData,
                dataType: "json",
                success: function(data){
                    $('.msg_history').html(data.dataChatOneMessage);
                    var scrolltoh = $('.msg_history')[0].scrollHeight;
                    $('.msg_history').scrollTop(scrolltoh);
                }
            });
        });
    });
    $(document).bind('keypress', function(e) {
        if(e.keyCode==13){
            $('.msg_send_btn').trigger('click');
        }
    });

    // console.log("oke");

</script>